package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.log.CustomizedOperationTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 日志操作记录查询返回值
 * @Author: CaoZixuan
 * @Date: 2022-11-29
 */
public class BasicOperationLogResult implements Serializable {
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("日志内容")
    private String detail;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("操作人id")
    private Long operatorId;

    @ApiModelProperty("操作人名称")
    private String operatorName;

    @ApiModelProperty("IP")
    private String ip;

    @ApiModelProperty("自定义操作类型")
    private CustomizedOperationTypeEnum customizedOperationType;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("创建时间")
    private Long createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public CustomizedOperationTypeEnum getCustomizedOperationType() {
        return customizedOperationType;
    }

    public void setCustomizedOperationType(CustomizedOperationTypeEnum customizedOperationType) {
        this.customizedOperationType = customizedOperationType;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
